API recipes

Requests you can copy and run. Each one returns live data from the API.

Examples

Get properties with listing history

Programming language

Select the programming language you want to display the code examples in.

Get for sale listing history for properties
Pull Calgary properties with listing data. filter_expand_match restricts results to properties that have listing data.
Request
Shell session
curl -X GET "https://api.houski.ca/properties?api_key=YOUR_API_KEY&city=calgary&country_abbreviation=ca&expand=listings&filter_expand_match=all&page=1&province_abbreviation=ab&results_per_page=3&select=address,estimate_list_price"
TypeScript code
const houski_recipe_data = async (): Promise<PropertiesResponse> => {

    // You must copy the PropertiesResponse type declarations from the 
    // Houski API documentation to strongly type the response

    const url = new URL('https://api.houski.ca/properties');
    url.searchParams.set('api_key', 'YOUR_API_KEY');
    url.searchParams.set('city', 'calgary');
    url.searchParams.set('country_abbreviation', 'ca');
    url.searchParams.set('expand', 'listings');
    url.searchParams.set('filter_expand_match', 'all');
    url.searchParams.set('page', '1');
    url.searchParams.set('province_abbreviation', 'ab');
    url.searchParams.set('results_per_page', '3');
    url.searchParams.set('select', 'address,estimate_list_price');

    const response = await fetch(url);
    const data = await response.json();

    return data;
}

(async () => {
let data: PropertiesResponse = await houski_recipe_data();

// Log the response
console.log(data);
})();
Response
JSON
{
  "cache_hit": false,
  "cost_cents": 1.16,
  "data": [
    {
      "address": "24 Rowley Common NW",
      "estimate_list_price": 858302,
      "listings": [
        {
          "expand_estimate_list_price": 779000,
          "expand_listing_date": "2022-08-17",
          "expand_listing_event": "Listed",
          "property_id": "12e3ffac04ec3562"
        },
        {
          "expand_estimate_list_price": 779000,
          "expand_listing_date": "2022-09-28",
          "expand_listing_event": "Unlisted",
          "property_id": "12e3ffac04ec3562"
        }
      ],
      "property_id": "12e3ffac04ec3562"
    },
    {
      "address": "370 Rowley Way NW",
      "estimate_list_price": 1785386,
      "listings": [
        {
          "expand_estimate_list_price": 1749900,
          "expand_listing_date": "2025-04-14",
          "expand_listing_event": "Listed",
          "property_id": "132a75dd38341a25"
        },
        {
          "expand_estimate_list_price": 1699900,
          "expand_listing_date": "2025-04-29",
          "expand_listing_event": "Price decrease",
          "property_id": "132a75dd38341a25"
        },
        {
          "expand_estimate_list_price": 1649900,
          "expand_listing_date": "2025-06-16",
          "expand_listing_event": "Price decrease",
          "property_id": "132a75dd38341a25"
        },
        {
          "expand_estimate_list_price": 1649900,
          "expand_listing_date": "2025-06-24",
          "expand_listing_event": "Unlisted",
          "property_id": "132a75dd38341a25"
        }
      ],
      "property_id": "132a75dd38341a25"
    },
    {
      "address": "406 Crimson Ridge Place NW",
      "estimate_list_price": 1693064,
      "listings": [
        {
          "expand_estimate_list_price": 1700000,
          "expand_listing_date": "2026-04-09",
          "expand_listing_event": "Listed",
          "property_id": "15f1300ff5b78de"
        },
        {
          "expand_estimate_list_price": 1700000,
          "expand_listing_date": "2026-06-02",
          "expand_listing_event": "Unlisted",
          "property_id": "15f1300ff5b78de"
        }
      ],
      "property_id": "15f1300ff5b78de"
    }
  ],
  "error": "",
  "pagination": {
    "current_page": 1,
    "has_next_page": true,
    "has_previous_page": false,
    "page_total": 35759
  },
  "price_quote": false,
  "result_total": 107275,
  "time_ms": 97,
  "ui_info": {
    "city": "Calgary",
    "city_id": "6ec95b53075d062c",
    "city_link": "ca/ab/calgary",
    "city_slug": "calgary",
    "country": "Canada",
    "country_abbreviation": "CA",
    "country_abbreviation_id": "9ace2b6431b7f1be",
    "country_abbreviation_link": "ca",
    "country_slug": "canada",
    "province": "Alberta",
    "province_abbreviation": "AB",
    "province_abbreviation_id": "aae1f05a0f89d2c7",
    "province_abbreviation_link": "ca/ab",
    "province_slug": "alberta"
  }
}